<?php

namespace App\Filament\Resources\Consultations\Schemas;

use Filament\Forms\Components\TextInput;
use Filament\Forms\Components\Textarea;
use Filament\Schemas\Schema;

class ConsultationForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextInput::make('name')
                    ->required(),
                TextInput::make('email')
                    ->label('Email address')
                    ->email()
                    ->required(),
                TextInput::make('phone')
                    ->tel()
                    ->default(null),
                TextInput::make('country')
                    ->default(null),
                TextInput::make('segment')
                    ->required(),
                TextInput::make('topic')
                    ->required(),
                TextInput::make('contact_method')
                    ->required(),
                TextInput::make('preferred_time')
                    ->required(),
                Textarea::make('message')
                    ->default(null)
                    ->columnSpanFull(),
                TextInput::make('status')
                    ->required()
                    ->default('new'),
            ]);
    }
}
